=== debian/control ===
Source: kpackage
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libkf5archive-dev (>= 5.51.0~),
               libkf5config-dev (>= 5.27.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5doctools-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kpackage
Vcs-Git: https://invent.kde.org/neon/kde/kpackage.git
Vcs-Browser: https://invent.kde.org/neon/kde/kpackage
Maintainer: Neon CI <neon@kde.org>

Package: kpackagetool5
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kpackagelauncherqml (<< 5.51),
        libkf5declarative5 (<< 5.51),
        libkf5kcmutils5 (<< 5.42),
        libkf5package5 (<< 5.10),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.51),
        libkf5quickaddons5 (<< 5.51),
        libkf5runner5 (<< 5.42),
        plasma-framework (<< 5.51),
        qml-module-org-kde-runnermodel (<< 5.42)
Replaces: libkf5package5 (<< 5.10)
Description: command line kpackage tool
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the runtime package management tool.

Package: libkf5package-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5package5 (<< 5.10)
Replaces: libkf5package5 (<< 5.10)
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the translations.

Package: libkf5package-dev
Section: libdevel
Architecture: any
Depends: extra-cmake-modules (>= 5.51.0~),
         kpackagetool5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.51.0~),
         libkf5package5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Breaks: libkf5declarative-dev (<< 5.51),
        libkf5package-doc (<< 5.61.90-0),
        libkf5plasma-dev (<< 5.51),
        plasma-framework-dev (<< 5.28)
Replaces: libkf5package-doc (<< 5.61.90-0)
Recommends: libkf5package-doc (= ${source:Version})
Description: development files for kpackage
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5package-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: non-binary asset management framework (documentation)
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5package5
Architecture: any
Multi-Arch: same
Depends: libkf5package-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kpackagelauncherqml (<< 5.51),
        libkf5declarative5 (<< 5.51),
        libkf5kcmutils5 (<< 5.42),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.51),
        libkf5quickaddons5 (<< 5.51),
        libkf5runner5 (<< 5.42),
        plasma-framework (<< 5.51),
        qml-module-org-kde-runnermodel (<< 5.42)
Recommends: kpackagetool5 (>= ${binary:Version})
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 5.
