## kpackage 5.116.0+p24.04+vstable+git20251123.1913

=== debian/changelog ===
kpackage (5.116.0+p24.04+vstable+git20251123.1913-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 19:13:17 +0000
