## kpackage 5.116.0+p24.04+vstable+git20260102.1117

=== debian/changelog ===
kpackage (5.116.0+p24.04+vstable+git20260102.1117-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:17:53 +0000
