## kpackage 5.116.0+p24.04+vstable+git20260105.0822

=== debian/changelog ===
kpackage (5.116.0+p24.04+vstable+git20260105.0822-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:22:35 +0000
