## kpackage 5.116.0+p24.04+vstable+git20260131.1257

=== debian/changelog ===
kpackage (5.116.0+p24.04+vstable+git20260131.1257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:57:36 +0000
