## kpackage 5.116.0+p24.04+vunstable+git20251123.1052

=== debian/changelog ===
kpackage (5.116.0+p24.04+vunstable+git20251123.1052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:52:17 +0000
