## kpackage 5.116.0+p24.04+vunstable+git20260105.1214

=== debian/changelog ===
kpackage (5.116.0+p24.04+vunstable+git20260105.1214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:14:11 +0000
